import {
    request
} from "../http";
// 公共API 
const proName = 'aiShop'
const apiPath = {
    indexList: "/api/goodsonline/listpage", //上架的软著商品列表 GET 
    saveGoods: "/api/goods/save", //新增软著商品 POST
    goodsDetail: "/api/goods/get/{goodsId}", //商品详情 GET
    delGoods: "/api/goods/remove/{ids}", //删除商品 DELETE
    updateGoods: "/api/goods/update/{goodsId}", //修改商品 PUT
    doCheck: "/api/goods/sub-check/{goodsId}", //提交审核 PUT
    onGoods: "/api/goods/publish/{goodsId}", //上架商品 PUT
    offGoods: "/api/goods/no-publish/{goodsId}", //下架商品 PUT
}
class Shop {
    //获取上架的软著列表
    static doGetIndexList(data) {
        return request(apiPath.indexList, "GET", data, proName)
    }
    //新增软件商品
    static doSaveGoods(data) {
        return request(apiPath.saveGoods, "POST", data, proName)
    }
    //商品详情
    static doGetGoodsDetail(id) {
        const path = apiPath.goodsDetail.replace('{goodsId}', id)
        return request(path, "GET", null, proName)
    }
    //删除商品
    static doDelGoods(id) {
        const path = apiPath.delGoods.replace('{goodsId}', id)
        return request(path, "DELETE", null, proName)
    }
    //更新商品
    static doUpdateGoods(id, data) {
        const path = apiPath.updateGoods.replace('{goodsId}', id)
        return request(path, "PUT", data, proName)
    }
    //提交审核
    static doSubCheck(id) {
        const path = apiPath.doCheck.replace('{goodsId}', id)
        return request(path, "PUT", null, proName)
    }
    //上架商品
    static doOnGoods(id) {
        const path = apiPath.onGoods.replace('{goodsId}', id)
        return request(path, "PUT", null, proName)
    }
    //下架商品
    static doOffGoods(id) {
        const path = apiPath.offGoods.replace('{goodsId}', id)
        return request(path, "PUT", null, proName)
    }
}

export default Shop;